GetFitPoint Example

Using Programming Languages other than VBA

Sub Example_GetFitPoint()
	' This example creates a spline object in model space.
	' It then finds the coordinates of the fit points.

	' Create the spline
	Dim splineObj As AcadSpline
	Dim startTan(0 To 2) As Double
	Dim endTan(0 To 2) As Double
	Dim fitPoints(0 To 8) As Double

	startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0
	endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0
	fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0
	fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0
	fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0
	Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan)
	ZoomAll

	' Display the coordinates of the fit points
	Dim fitPoint As Variant
	Dim index As Integer
	For index = 0 To splineObj.NumberOfFitPoints - 1
		fitPoint = splineObj.GetFitPoint(index)
		MsgBox "Fit point " & index + 1 & " is at " & fitPoint(0) & ", " & fitPoint(1) & ", " & fitPoint(2), , "GetFitPoint Example"
	Next

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.